# Concept MutableBidirectionalIteratorConcept
Bidirectional iterator that also allows writing of dereferenced values.

Extends | BidirectionalIteratorConcept
All Extended | BidirectionalIteratorConcept, CopyConstructibleConcept, DefaultConstructibleConcept, EqualityComparableConcept, ForwardIteratorConcept, InputIteratorConcept, IteratorAssociatedTypesConcept
All Subcl's | MutableRootedRandomAccessIteratorConcept
Defined in | <seqan/basic.h>
Signature | `MutableBidirectionalIteratorConcept<T>`

## Member Function Overview

### Member Functions Inherited From EqualityComparableConcept

- `operator!=`
- `operator==`

## Interface Function Overview

### Interface Functions Inherited From BidirectionalIteratorConcept

- `goPrevious`
- `operator--(prefix)`
- `operator--(suffix)`

### Interface Functions Inherited From InputIteratorConcept

- `goNext`
- `operator++(prefix)`
- `operator++(suffix)`
- `operator->`

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `getValue`
- `operator*`
- `value`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

#### Dox Sources

    /*!
     * @concept MutableBidirectionalIteratorConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends BidirectionalIteratorConcept
     *
     * @brief Bidirectional iterator that also allows writing of dereferenced
     *        values.
     *
     * @signature MutableBidirectionalIteratorConcept<T>
     */